'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createRequestActionTypes = exports.createActionType = undefined;

var _requestAction = require('../modules/requestAction');

var NAMESPACE = 'firestore';
var createActionType = exports.createActionType = function createActionType(action) {
  return NAMESPACE + '/' + action;
};

var createRequestActionTypes = exports.createRequestActionTypes = function createRequestActionTypes(request) {
  return Object.keys(_requestAction.RequestAction).reduce(function (memo, key) {
    memo[key] = createActionType(request + '/' + key);
    return memo;
  }, { REQUEST: '', SUCCESS: '', FAILURE: '' });
};
//# sourceMappingURL=actionTypes.js.map