'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _batch = require('../middleware/batch');

var _redux = require('redux');

var _auth = require('./auth');

var _collections = require('./collections');

var _listeners = require('./listeners');

var _queries = require('./queries');

var _storage = require('./storage');

var reducer = (0, _batch.batchReducer)((0, _redux.combineReducers)({
  auth: _auth.reducer,
  collections: _collections.reducer,
  listeners: _listeners.reducer,
  queries: _queries.reducer,
  storage: _storage.reducer
}));
exports.default = reducer;
//# sourceMappingURL=index.js.map